Subject: Re: bug#50186: Shell in emacs very annoying using zsh

From: "周任飞" <[email-masked]>
Date: Sun, 29 Aug 2021 10:16:35 +0800

Hello Eduardo Ochs,

&gt; and then use Zsh a bit with comint-process-echoes set to true and a
&gt; bit with comint-process-echoes set to nil - use `M-x det' and `M-x
&gt; den' to change the value - to see if something changes?

First I noticed that comint-process-echoes is not defined in shell mode.
Then I switched the shell buffer to comint mode. Then, in both det and
den settings, the problem still happens.

--------
Zhou Renfei